Bug 807465 - REMOVE TEST CODE IN PC
REMOVE TEST CODE IN PC
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: RHQ 4.4.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-03-27 16:53 EDT by John Mazzitelli
Modified: 2013-09-01 05:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 05:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2012-03-27 16:53:08 EDT
remove this code before release - from InventoryManager:

            // TODO REMOVE THIS IF STATEMENT - IT IS JUST FOR TESTING
            if (!resource.getChildResources().getClass().getName().contains("Collections$SetFromMap")) {
                new Exception("BAD CHILD SET:" + resource.getChildResources().getClass().getName() + ":"
                    + resource.getId() + ":" + resource.getName()).printStackTrace();
            }
Comment 1 Charles Crouch 2012-03-28 07:48:37 EDT
Setting priority to urgent and adding to sprint tracker, this obviously doesn't need to be done now, but does need addressing prior to the RHQ4.4 release.
Comment 2 John Mazzitelli 2012-03-28 09:49:20 EDT
this was for helping to debug bug #801432
Comment 3 John Mazzitelli 2012-04-11 16:24:21 EDT
rather than remove this, we should wrap it in LOG.isDebugEnabled() or just log it always.
Comment 4 John Mazzitelli 2012-05-01 13:27:54 EDT
rather than remove this, I wrapped it in a isDebugEnabled and logged it at the debug level:

            if (log.isDebugEnabled()) {
                if (!resource.getChildResources().getClass().getName().contains("Collections$SetFromMap")) {
                    Exception e = new Exception(
                        "Unexpected child set - if you see this, please notify support or log it in bugzilla"
                            + resource.getChildResources().getClass().getName() + ":" + resource.getId() + ":"
                            + resource.getName());
                    log.debug("[BZ 801432]", e);
                }
            }
Comment 5 John Mazzitelli 2012-05-01 13:29:40 EDT
git commit to master: ac24e5c 

nothing for QA to test - this is just a code change
Comment 6 Heiko W. Rupp 2013-09-01 05:57:50 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.